Create a review embed
curl --request POST \
--url https://api.pocketflows.com/businesses/{id}/reviews/embeds \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"review_embed_config": "<string>",
"customer": "<string>"
}
'import requests
url = "https://api.pocketflows.com/businesses/{id}/reviews/embeds"
payload = {
"review_embed_config": "<string>",
"customer": "<string>"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({review_embed_config: '<string>', customer: '<string>'})
};
fetch('https://api.pocketflows.com/businesses/{id}/reviews/embeds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"url": "<string>",
"business": "<string>",
"customer": "<string>",
"review": "<string>",
"review_embed_config": {
"id": "<string>",
"title": "<string>",
"review_text_prompt": "<string>",
"review_text_placeholder": "<string>",
"min_stars_to_prompt_review": 123,
"google_request_review_url": "<string>",
"submit_cta": "<string>",
"slug": "<string>",
"redirect_to_google_request_review_url": true,
"permanent_review_page_url": "<string>"
}
}Review embeds
Create a review embed
POST
/
businesses
/
{id}
/
reviews
/
embeds
Create a review embed
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the business
Body
application/json
Response
200 - application/json
The created ReviewEmbed object
The ID of the review embed
The URL to embed the review request
The ID of the business
The ID of the customer
The ID of the review
The review embed config
Show child attributes
Show child attributes
⌘I